#!/bin/bash
OCSPASS=
GLPIPASS=

mysql -u glpi -p$GLPIPASS <<EOF
\r glpi

DELIMITER //
DROP PROCEDURE IF EXISTS UpdateOCS//
CREATE PROCEDURE UpdateOCS()
BEGIN
	DECLARE compteur int(5) default 0;
	SELECT count(*) FROM information_schema.tables WHERE table_schema = 'glpi' AND table_name = 'glpi_ocsservers' INTO compteur;
	IF compteur > 0 THEN UPDATE glpi.glpi_ocsservers SET ocs_db_passwd = '$OCSPASS' WHERE glpi_ocsservers.ID =1 LIMIT 1;
	END IF;
END//
DELIMITER ;
CALL UpdateOCS();
EOF

